Zuzanna Rosin

Greenhorn
+ Follow
since Aug 11, 2018
Cows and Likes
Cows
Total received
0
In last 30 days
0
Total given
0
Likes
Total received
0
Received in last 30 days
0
Total given
14
Given in last 30 days
0
Forums and Threads
Scavenger Hunt
expand Ranch Hand Scavenger Hunt
expand Greenhorn Scavenger Hunt

Recent posts by Zuzanna Rosin

Hi,

I am curious about one thing regarding Gradle usage.

What I noticed is that when I work on an archived app I am automatically promped to upgrade the Gradle version. Despite the fact the source code does not change since 2015.
I also see that upgrading Gradle encourages new features which I do not exactly need; what I would like to get, apparently is an out-dated environment for the app to see it "work as intended" couple updates ago.

I know it may be no longer supported, but my question is; is it possible to create such conditions or I will always be obliged to upgrade ?

Regards.
2 months ago
NOW I can say I did it by heart, thank you.
3 months ago
Hi,

I decided to continue the thread regarding qemu, because
after AS upgrade to 3.5 Canary 7, I uninstalled and installed Emulator package in SDK Tools,
still I have this repeating error:

09:51 Executing tasks: [:app:assembleDebug]

09:52 Gradle build finished in 58 s 326 ms

09:52 Emulator: qemu_ram_alloc_user_backed: call




Connected to process 5663 on device 'Pixel_3_Edited_ListView_API_28 [emulator-5554]'.
Application terminated.
3 months ago
Hello,

I have error appearing when implementing below dependencies in build.gradle (App):

dependencies {
   def room_version = "2.1.0-alpha05"
   def lifecycle_version = '2.1.0-alpha03'

   implementation fileTree(dir: 'libs', include: ['*.jar'])
   implementation 'androidx.appcompat:appcompat:1.1.0-alpha03'
   implementation: 'com.google.android.material:material:1.0.0-rc01'
   implementation: 'androidx.cardview:cardview:1.0.0'
   implementation 'androidx.constraintlayout:constraintlayout:2.0.0-alpha3'
   testImplementation 'junit:junit:4.13-beta-2'
   androidTestImplementation 'androidx.test.ext:junit:1.1.1-alpha02'
   androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0-alpha02'

   // ViewModel and LiveData
   implementation "androidx.lifecycle:lifecycle-extensions:$lifecycle_version"
   annotationProcessor "androidx.lifecycle:lifecycle-compiler:$lifecycle_version" // For Kotlin use kapt instead of annotationProcessor

   // Room
   implementation "androidx.room:room-runtime:$room_version"
   annotationProcessor "androidx.room:room-compiler:$room_version"
}



Thrown exception says a little only:
Cause: invalid type code: 85

Should my first intuition be the problem is with Java version or it is no indication?
3 months ago
OK, so if it helps someone when receive similar stacktrace - double-check your environmental variables to contain correct JDK file in a Path variable- it was useful in this case.
3 months ago
I can share part-solution:

1. changed SDK location for embedded JDK
2. updated Gradle 5.2.1

and another part I am going to to is chhanging environmental variables to Java\jdk1.8.0_181\bin

I will tell you tomorrow how it worked for me.
3 months ago
Tim, so here it goes. Should I provide anything else to be more clear (I hope to be):

java.lang.AssertionError
at com.android.tools.idea.gradle.project.sync.GradleSyncState.syncEnded(GradleSyncState.java:332)
at com.android.tools.idea.gradle.project.sync.setup.post.upgrade.ForcedPluginPreviewVersionUpgradeStep.checkAndPerformUpgrade(ForcedPluginPreviewVersionUpgradeStep.java:58)
at com.android.tools.idea.gradle.project.sync.setup.post.PluginVersionUpgrade.checkAndPerformUpgrade(PluginVersionUpgrade.java:68)
at com.android.tools.idea.gradle.project.sync.setup.post.upgrade.PluginVersionUpgradeCheckerKt$checkAndShowNotification$listener$1.hyperlinkUpdate(PluginVersionUpgradeChecker.kt:87)
at com.intellij.notification.impl.ui.NotificationsUtil$1.hyperlinkUpdate(NotificationsUtil.java:155)
at javax.swing.JEditorPane.fireHyperlinkUpdate(JEditorPane.java:342)
at javax.swing.text.html.HTMLEditorKit$LinkController.activateLink(HTMLEditorKit.java:875)
at javax.swing.text.html.HTMLEditorKit$LinkController.mouseClicked(HTMLEditorKit.java:674)
at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:270)
at java.awt.Component.processMouseEvent(Component.java:6551)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3325)
at java.awt.Component.processEvent(Component.java:6313)
at java.awt.Container.processEvent(Container.java:2237)
at java.awt.Component.dispatchEventImpl(Component.java:4903)
at java.awt.Container.dispatchEventImpl(Container.java:2295)
at java.awt.Component.dispatchEvent(Component.java:4725)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4889)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4535)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4467)
at java.awt.Container.dispatchEventImpl(Container.java:2281)
at java.awt.Window.dispatchEventImpl(Window.java:2746)
at java.awt.Component.dispatchEvent(Component.java:4725)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:764)
at java.awt.EventQueue.access$500(EventQueue.java:98)
at java.awt.EventQueue$3.run(EventQueue.java:715)
at java.awt.EventQueue$3.run(EventQueue.java:709)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:90)
at java.awt.EventQueue$4.run(EventQueue.java:737)
at java.awt.EventQueue$4.run(EventQueue.java:735)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:734)
at com.intellij.ide.IdeEventQueue.defaultDispatchEvent(IdeEventQueue.java:719)
at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:664)
at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:363)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

3 months ago
Hello,

I keep comming back with my repeating IDE errors, which occur on one of two computers I use. This time I got an AssertionError, which only occurs in program installed on a lap. I wonder if it is possible components to work two different ways (and how) with same files from GitHub repo.

Regards,
Zuzanna
3 months ago
Tim,

Is it really a point downgrading As? I use recent release. I wonder if the problem might be connected with the fact I work on notebook with two monitors. May it be a CPU problem which is not detected by Task Manager?
3 months ago
Hi,

When I run my app on emulator (tried Galaxy Nexus API 26 and Nexus 4 API 28), in both cases got same outcome in Event Log:
10:44 Emulator: qemu_ram_alloc_user_backed: call

at the same time Gradle build is finished with no issues and project is synched successfully.
I got this problem anytime I launch one particular app - I wonder if it is a problem with ram in general on the computer I use or this single app takes too much from my resources.

I use:
Android Studio: 3.4 Beta 5
Gradle Version: 5.1.1 (Plugin Version : 3.4.0-beta05)
JRE: 1.8.0_152


Because I got purple moose badge I will not add more reflections.

BRGDS,
Z.
3 months ago
Hi!

I have a question regarding SDK. Recently I work with a simple app with GUI in Eclipse Photon and I face some problems with AVD version number which were not shown during work in Android studio.
Because the problem is attempted being solved with SDK Manager I relate it to AS and wonder; how can SDK work with the code on one platform and not the other. Is it a problem with version of Java I use (1.8.0_181)?

Am I right thinking both programs use same SDK directory, just using SDK in own way as an available source?
4 months ago
Thank you Adrian!
4 months ago
Hi,

I work on simple Guessing Game app and work on menu, which for some reasons displays double values. The code appears trustly silly, however proved to be tricky for me.
This is what I got: in attached screenshot there is main_menu.xml, which displays correct view of the menu in Preview mode, and double values on my emulator (any, but here Nexus S API 28).

Below the code from MainActivity.java


And Text content of main_menu.xml:


I have checked if the values are not called twice, they are not, but I guess I made a mistake elsewhere.
Can you please give me a hand about it?
4 months ago